E-MailRelay

Classes | Namespaces
gserverpeer.h File Reference
`#include "gdef.h"`
`#include "gsocket.h"`
`#include "gsocketprotocol.h"`
`#include "gexception.h"`
`#include "gaddress.h"`
`#include "glinebuffer.h"`
`#include "gtimer.h"`
`#include "gconnection.h"`
`#include "geventlogging.h"`
`#include "gexceptionsource.h"`
`#include "gevent.h"`
`#include "gstringview.h"`
`#include <utility>`
`#include <memory>`
`#include <string>`
Include dependency graph for gserverpeer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GNet::ServerPeer
| An abstract base class for the GNet::Server's connection to a remote client. More...
struct | GNet::ServerPeer::Config
| A configuration structure for GNet::ServerPeer. More...

## Namespaces
namespace | GNet
| Network classes.